Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class Gensym.Generator

    java.lang.Object
      ix.util.Gensym.Generator

Enclosing class:
  Gensym

    public static class Gensym.Generator

extends java.lang.Object

A name and ID generator.

Field Summary
`protected java.util.Map` | `counters`
`protected long` | `initialNumber`
`protected java.lang.String` | `prefix`
`protected java.lang.String` | `separator`
`protected boolean` | `useHash`
`protected boolean` | `useUnique`

Constructor Summary
`Gensym.Generator()`

Method Summary
`protected java.lang.String` | `makeHashPrefix()`
`protected java.lang.String` | `makeLongPrefix()`
`protected java.lang.String` | `makeUniquePrefix()`
`Name` | `nextName(java.lang.String base)`
`Symbol` | `nextNewSymbol(java.lang.String base)`
`java.lang.String` | `nextString(java.lang.String base)`
`Symbol` | `nextSymbol(java.lang.String base)`
`void` | `setInitialNumber(long n)`
`void` | `setPrefix(java.lang.String s)`
`void` | `setSeparator(java.lang.String s)`
`void` | `useUniquePrefix()`
`boolean` | `usingUniquePrefix()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useUnique

    protected boolean useUnique

### useHash

    protected boolean useHash

### counters

    protected java.util.Map counters

### initialNumber

    protected long initialNumber

### separator

    protected java.lang.String separator

### prefix

    protected java.lang.String prefix

Constructor Detail

### Gensym.Generator

    public Gensym.Generator()

Method Detail

### setInitialNumber

    public void setInitialNumber(long n)

### setSeparator

    public void setSeparator(java.lang.String s)

### setPrefix

    public void setPrefix(java.lang.String s)

### usingUniquePrefix

    public boolean usingUniquePrefix()

### useUniquePrefix

    public void useUniquePrefix()

### makeUniquePrefix

    protected java.lang.String makeUniquePrefix()

### makeLongPrefix

    protected java.lang.String makeLongPrefix()

### makeHashPrefix

    protected java.lang.String makeHashPrefix()

### nextString

    public java.lang.String nextString(java.lang.String base)

### nextName

    public Name nextName(java.lang.String base)

### nextSymbol

    public Symbol nextSymbol(java.lang.String base)

### nextNewSymbol

    public Symbol nextNewSymbol(java.lang.String base)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD